=begin JA

= ӥإۥ԰μ¸ 

# * ̰ϯ (sugiyama)
#   * $Id: catseye.rd,v 1.1 2014/02/26 07:09:53 sugiyama Exp $

=end JA
=begin EN

= KelvinHelmholtz Instability Experiment 

# * Ko-ichiro Sugiyama
#   * $Id: catseye.rd,v 1.1 2014/02/26 07:09:53 sugiyama Exp $

=end EN

=begin JA
ӥإۥ԰μ¸¹Ԥˡޤ. 
=end JA
=begin EN
A method to perform a KelvinHelmholtz instability experiment is described. 
=end EN


=begin JA
== 
ܼ¸ϰʲ 3 ĤΥƥåפǹԤޤ.

  * ¸ǥ쥯ȥν
  * ͤν
  * ¸μ¹
=end JA
=begin EN
== Overview
This experiment is performed with the following 3 steps:

  * Preparation of directory for experiments
  * Preparation of initial condition
  * Execution of experiments
=end EN


=begin JA

== ¸ѥǥ쥯ȥ

deepconv οͼ¸ϥĥ꡼ǤϹԤ鷺
ĥ꡼Ȥ̤γǥ쥯ȥˤƹԤȤ侩ޤ. 

ޤ deepconv/arare5 Υȥåץǥ쥯ȥ(ʲǤ arare5-YYYYMMDD Ȥ)˰ưƤ. 
ʲǤ deepconv/arare5 ǥ쥯ȥ٤ ../deepconv-exp/catseye-exp ǥ쥯ȥ, Ǽ¸ԤȤˤޤ. 
Τ褦  ../deepconv-exp/catseye-exp ǥ쥯ȥ, ưƤ. 

  $ mkdir -p ../deepconv-exp/catseye-exp
  $ cd ../deepconv-exp/catseye-exp

, Υǥ쥯ȥ˼¹ԥեե֤ޤ. 

  $ mkdir bin
  $ mkdir conf

Ǹ˺ǥ쥯ȥ˼¹ԥեե򥳥ԡޤ. 

  $ cp ../../arare5-YYYYMMDD/src/main/arare bin
  $ cp ../../arare5-YYYYMMDD/src/main/arare_init-data bin
  $ cp ../../arare5-YYYYMMDD/exp_setup_files/*catseye*.conf conf

ʤ, ¹ԥեե (NAMELIST ե) , ɤΥǥ쥯ȥˤƤ׻ԤȤǤޤ. 


=end JA
=begin EN

== Preparation of a directory for experiments

Let us move to the top directory of deepconv/arare5 src tree
(assuming arare5-YYYYMMDD in the following example). 
Here, we perform an experiment in ../arare5-exp/catseye-exp directory. 
Please create the directory and enter there as follows: 

  $ mkdir -p ../deepconv-exp/catseye-exp
  $ cd ../deepconv-exp/catseye-exp

Then, pleaase create the directories for executable files and configuration
files as follows:

  $ mkdir bin
  $ mkdir conf

Finally, executable files and configuration files are copied as follows: 

  $ cp ../../arare5-YYYYMMDD/src/main/arare bin
  $ cp ../../arare5-YYYYMMDD/src/main/arare_init-data bin
  $ cp ../../arare5-YYYYMMDD/exp_setup_files/*catseye*.conf conf

Note that you can perform an experiment in any directory by using executable files and configuration (NAMELIST) files.

=end EN


=begin JA

== ͥǡեκ

arare_init-data  
((<arare-catseye_init-data.conf|URL:../../exp_setup_files/arare-catseye_init-data.conf>))
Ѥƽͥե arare-catseye_init.nc ޤ. 

  $ ./bin/arare_init-data -N=conf/arare-catseye_init-data.conf

   *** MESSAGE [main] ***  Namelist file is 'arare-catseye_init-data.conf'
   *** MESSAGE [argset_init] ***  NAMELIST FILE = arare-catseye_init-data.conf
   *** MESSAGE [namelist_util] ***  ----- Initialization Messages -----
   *** MESSAGE [namelist_util] ***    MaxNmlArySize = 256
   *** MESSAGE [namelist_util] ***  -- version = $Name: arare5-20160127-2 $$Id: catseye.rd,v 1.1 2014/02/26 07:09:53 sugiyama Exp $
   *** MESSAGE [gridset_init] ***  xsub = 1
                         : 
   *** MESSAGE [main] ***  Making Initial data....
   *** MESSAGE [main] ***  Making Initial data (basic) named IsoThermal...
   *** MESSAGE [main] ***  Making Initial data (disturb) named tanh...
   *** MESSAGE [main] ***  Making Initial wind data (disturb) named tanh...
   *** MESSAGE [main] ***  Output variables into netCDF file...
   *** MESSAGE [restartfileioIO_init] ***  InputFile  =
   *** MESSAGE [restartfileioIO_init] ***  OutputFile = arare-catseys_init.nc


== ¸μ¹

¹ԥե arare  NAMELIST ե
((<arare-catseye.conf|URL:../../exp_setup_files/arare-catseye.conf>))
Ѥ, ʲΤ褦 arare ¹ԤƤ. 
ץཪλˤϿʬޤ. 

(ʤ, ѥĶǤϰʲˡǥץ
¹Ԥ뤳ȤϤǤʤΤդƤ. ξμ¹ˡ
˴ؤƤ, δĶǤΥץ¹ԥޥ˥奢ʤɤ򻲾Ȥ. )

  $ ./bin/arare -N=conf/arare-catseye.conf | tee catseye.log

   *** MESSAGE [main] ***  Namelist file is 'arare-catseye.conf'
   *** MESSAGE [argset_init] ***  NAMELIST FILE = arare-catseye.conf
   *** MESSAGE [namelist_util] ***  ----- Initialization Messages -----
   *** MESSAGE [namelist_util] ***    MaxNmlArySize = 256
   *** MESSAGE [namelist_util] ***  -- version = $Name: arare5-20160127-2 $$Id: catseye.rd,v 1.1 2014/02/26 07:09:53 sugiyama Exp $
   *** MESSAGE [timeset_init] ***  DelTimeLong  = 1.
                     :
   *** MESSAGE [HistoryClose] ***  "arare-catseye_Exner.nc" is closed
   *** MESSAGE [HistoryClose] ***  "arare-catseye_Km.nc" is closed
    
   ############## CPU TIME SUMMARY ################
   initialization         0.320010E-01
   time-integration       0.610998E+02  (1.02 minutes)
   ------------------------------------------------
          TOTAL TIME =    0.611318E+02  (1.02 minutes)

ξ,  1 ʬλʬפޤ. 
׻̤ VelX.nc  PTemp.nc ȤƽϤޤ. 
ޤ, ꥹȥե뤬 arare-catseye_restart.nc ȤƽϤޤ. 

=end JA

=begin EN

== Create initial data file

Create initial data file "denscurrent-dry_restart.nc"
using "bin/arare_init-data" and ((<"arare-catseye_init-data.conf"|URL:../../exp_setup_files/arare-catseye_init-data.conf>)).
  
  $ ./bin/arare_init-data -N=conf/arare-catseye_init-data.conf

   *** MESSAGE [main] ***  Namelist file is 'arare-catseye_init-data.conf'
   *** MESSAGE [argset_init] ***  NAMELIST FILE = arare-catseye_init-data.conf
   *** MESSAGE [namelist_util] ***  ----- Initialization Messages -----
   *** MESSAGE [namelist_util] ***    MaxNmlArySize = 256
   *** MESSAGE [namelist_util] ***  -- version = $Name: arare5-20160127-2 $$Id: catseye.rd,v 1.1 2014/02/26 07:09:53 sugiyama Exp $
   *** MESSAGE [gridset_init] ***  xsub = 1
                         : 
   *** MESSAGE [main] ***  Making Initial data....
   *** MESSAGE [main] ***  Making Initial data (basic) named IsoThermal...
   *** MESSAGE [main] ***  Making Initial data (disturb) named tanh...
   *** MESSAGE [main] ***  Making Initial wind data (disturb) named tanh...
   *** MESSAGE [main] ***  Output variables into netCDF file...
   *** MESSAGE [restartfileioIO_init] ***  InputFile  =
   *** MESSAGE [restartfileioIO_init] ***  OutputFile = arare-catseys_init.nc

== Run the experiment

Using an executable files 'arare' and a NAMELIST file
((<arare-catseye.conf|URL:../../exp_setup_files/arare-catseye.conf>)), 
execute 'arare' as follows. 
This program will be finished in few minutes - tens of minutes. 

  $ ./bin/arare -N=conf/arare-catseye.conf | tee catseye.log

   *** MESSAGE [main] ***  Namelist file is 'arare-catseye.conf'
   *** MESSAGE [argset_init] ***  NAMELIST FILE = arare-catseye.conf
   *** MESSAGE [namelist_util] ***  ----- Initialization Messages -----
   *** MESSAGE [namelist_util] ***    MaxNmlArySize = 256
   *** MESSAGE [namelist_util] ***  -- version = $Name: arare5-20160127-2 $$Id: catseye.rd,v 1.1 2014/02/26 07:09:53 sugiyama Exp $
   *** MESSAGE [timeset_init] ***  DelTimeLong  = 1.
                     :
   *** MESSAGE [HistoryClose] ***  "arare-catseye_Exner.nc" is closed
   *** MESSAGE [HistoryClose] ***  "arare-catseye_Km.nc" is closed
    
   ############## CPU TIME SUMMARY ################
   initialization         0.320010E-01
   time-integration       0.610998E+02  (1.02 minutes)
   ------------------------------------------------
          TOTAL TIME =    0.611318E+02  (1.02 minutes)

In this case, about 1 minites integration is performed. 
History data are output to 'VelX.nc' and 'PTemp.nc' etc., 
and a restart data is output to 'arare-catseye_restart.nc'. 

=end EN

=begin JA
== ̤βĻ벽
((<ñʲϡĻ벽|URL:./visualization.htm>)) 򻲾ȤƤ. 

((<"IMG:catseye_img01.png">))

=end JA
=begin EN
== Visualization

Please see ((<First step analysis and visualization|URL:./visualization.htm.en>)).

((<"IMG:catseye_img01.png">))

=end EN


=begin JA
== ʸ
* ڤȺ縶, CReSS ޥ˥奢 2 .
=end JA

=begin EN
== References
* Tsuboki and Sakakibara, CReSS User Manual (in Japanese)
=end EN




=begin HTML
<hr />
<small>
  $Id: catseye.rd,v 1.1 2014/02/26 07:09:53 sugiyama Exp $
</small>
=end HTML

